#include <stdio.h>
#include <stdint.h>
#include <sprinter.h>

uint16_t bank1var = 0;
extern uint16_t bank2var;

void bank1_func(void) __banked
{
    printf("BANK1: hello from the first bank, phys page = 0x%02X, var = %u\n", _io_page_w3, bank1var);
}

void bank1_func2(uint16_t x) __banked
{
    printf("BANK1: hello from the first bank, phys page = 0x%02X, set var in SECOND bank to %u\n", _io_page_w3, x);
    bank2var = x;
}

